# Class CIM_ElementInPolicyRoleCollection
extends CIM_MemberOfCollection

An ElementInPolicyRoleCollection aggregates zero or more ManagedElement subclass instances into a PolicyRoleCollection object, representing a role played by these ManagedElements. This Collection indicates that the aggregated PolicySets (aggregated by CIM_PolicySetInRoleCollection) MAY BE applied to the referenced elements. To indicate that the PolicySets ARE being enforced for the element, use the PolicySetAppliesToElement association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_ElementInPolicyRoleCollection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

An ElementInPolicyRoleCollection aggregates zero or more ManagedElement subclass instances into a PolicyRoleCollection object, representing a role played by these ManagedElements. This Collection indicates that the aggregated PolicySets (aggregated by CIM_PolicySetInRoleCollection) MAY BE applied to the referenced elements. To indicate that the PolicySets ARE being enforced for the element, use the PolicySetAppliesToElement association.

UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_ElementInPolicyRoleCollection | CIM_PolicyRoleCollection
Member | CIM_ElementInPolicyRoleCollection | CIM_ManagedElement

## Class Methods